{% extends 'dragonboard-410c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lkft-slave01 7104'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set adb_serial_number = '96cc3cc8' %}
{% set fastboot_serial_number = '96cc3cc8' %}

{# OTG connected to USB port 7 #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 7 --mode sync -n lkft-slave01-hub01' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control --usb_port 7 --mode off -n lkft-slave01-hub01' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control --usb_port 7 --mode off -n lkft-slave01-hub01',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command reboot --port 4 --delay 30',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 7 --mode sync -n lkft-slave01-hub01'] %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command on --port 4' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu01 --command off --port 4',
'/usr/local/lab-scripts/cbrxd_hub_control --usb_port 7 --mode off -n lkft-slave01-hub01'] %}
{% set device_info = [{'board_id': '96cc3cc8'}] %}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-410c', 'worker': 'lkft-slave01.lkftlab', 'tags': ['new-firmware', 'cambridge-lab', 'production'], 'aliases': []} %}